package com.dgt.graphdemo.jpa.entity;

import javax.persistence.*;
import java.util.Objects;

/**
 * @author lugela
 * @Title: SimilarFactorEntity
 * @ProjectName graphdemo
 * @Description: TODO
 * @date 2019/6/24 12:23
 */
@Entity
@Table(name = "similar_factor", schema = "graphtb", catalog = "")
public class SimilarFactorEntity {
    private int id;
    private Integer similarId;
    private String similarityFactorType;
    private String similarityFactorDetail;
    private String remark;

    @Id
    @Column(name = "id", nullable = false)
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Basic
    @Column(name = "similar_id", nullable = true, length = 18)
    public Integer getSimilarId() {
        return similarId;
    }

    public void setSimilarId(Integer similarId) {
        this.similarId = similarId;
    }

    @Basic
    @Column(name = "similarity_factor_type", nullable = true, length = 100)
    public String getSimilarityFactorType() {
        return similarityFactorType;
    }

    public void setSimilarityFactorType(String similarityFactorType) {
        this.similarityFactorType = similarityFactorType;
    }

    @Basic
    @Column(name = "similarity_factor_detail", nullable = true, length = 100)
    public String getSimilarityFactorDetail() {
        return similarityFactorDetail;
    }

    public void setSimilarityFactorDetail(String similarityFactorDetail) {
        this.similarityFactorDetail = similarityFactorDetail;
    }

    @Basic
    @Column(name = "remark", nullable = true, length = 100)
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }


}
